/********************************************************************************
*
* MCU     : Raspberry Pi Pico
* LoRa    : Conta互換 LoRa無線モジュール ES920LR3搭載
* display : シリアルモニタ
*
********************************************************************************/

//----------------------------------------------------------
// Raspberry Pi Pico
#define RX_pin 1  // Serial1
#define TX_pin 0  // Serial1
//--------------------------------------------------------

#include "LoRa.h"

void setup() {
  Serial.begin(115200);
  LoRaInit(RX_pin, TX_pin);
  Serial.println("LoRa stand-by");
}

void loop(){
  if (Serial1.available()) {
    String rxs = Serial1.readString();
    // Serial.print(rxs);
    char Buf[5];
    rxs.toCharArray(Buf, 5);
    int16_t rssi = strtol(Buf,NULL,16);
    rxs = rxs.substring(4);
    Serial.println("T: " + rxs.substring( 2, 6 ) + " °C " );
    Serial.println("H: " + rxs.substring( 8,12 ) + " % "  );
    Serial.println("P: " + rxs.substring(14,18 ) + " hPa ");
    Serial.print("R: ");
    Serial.print(rssi);
    Serial.println(" dBm \r\n");
  }
}
